#
# Default Bacula Storage Daemon Configuration file
#
#  For Bacula release 1.36.3 (22 April 2005) -- unknown unknown
#
# You may need to change the name of your tape drive
#   on the "Archive Device" directive in the Device
#   resource.  If you change the Name and/or the 
#   "Media Type" in the Device resource, please ensure
#   that dird.conf has corresponding changes.
#

Storage {                             # definition of myself
  Name = eagle-sd
  SDPort = 9103                  # Director's port      
  WorkingDirectory = "/root/bacula/bin/working"
  Pid Directory = "/root/bacula/bin/working"
  Maximum Concurrent Jobs = 4
}

#
# List Directors who are permitted to contact Storage daemon
#
Director {
  Name = eagle-dir
  Password = "y0HkaDbl"
}

#
# Restricted Director, used by tray-monitor to get the
#   status of the storage daemon
#
Director {
  Name = eagle-mon
  Password = "y0HkaDbl"
  Monitor = yes
}

#
# Devices supported by this Storage daemon
# To connect, the Director's bacula-dir.conf must have the
#  same Name and MediaType. 
#

Device {
  Name = FileStorage
  Media Type = File
  Archive Device = /tmp/bacula-backups
  LabelMedia = yes;                   # lets Bacula label unlabeled media
  Random Access = Yes;
  AutomaticMount = yes;               # when device opened, read it
  RemovableMedia = no;
  AlwaysOpen = no;
  Maximum Volume Size = 2048000000
}

#
# A Linux or Solaris tape drive
#
#Device {
#  Name = DDS-4                        # 
#  Media Type = DDS-4
#  Archive Device = /dev/nst0
#  AutomaticMount = yes;               # when device opened, read it
#  AlwaysOpen = yes;
#  RemovableMedia = yes;
#  RandomAccess = no;
## Changer Command = "/root/bacula/bin/mtx-changer %c %o %S %a %d"
## Changer Device = /dev/sg0
## AutoChanger = yes
## Alert Command = "sh -c '/usr/local/bin/tapeinfo -f %c | grep TapeAlert | cat'"
#}

#
# A FreeBSD tape drive
#
#Device {
#  Name = DDS-4 
#  Description = "DDS-4 for FreeBSD"
#  Media Type = DDS-4
#  Archive Device = /dev/nsa1
#  AutomaticMount = yes;               # when device opened, read it
#  AlwaysOpen = yes
#  Offline On Unmount = no
#  Hardware End of Medium = no
#  BSF at EOM = yes
#  Backward Space Record = no
#  Fast Forward Space File = no
#  TWO EOF = yes
#}

#
# A OnStream tape drive. 
# You need the kernel osst driver 0.9.14 or later, and
#   do "mt -f /dev/nosst0 defblksize 32768" once as root.
#
#Device {
#  Name = OnStream
#  Description = "OnStream drive on Linux"
#  Media Type = OnStream
#  Archive Device = /dev/nst0
#  AutomaticMount = yes;               # when device opened, read it
#  AlwaysOpen = yes
#  Offline On Unmount = no
## The min/max blocksizes of 32768 are *required*
#  Minimum Block Size = 32768
#  Maximum Block Size = 32768
#}

#
# A very old Exabyte with no end of media detection
#
#Device {
#  Name = "Exabyte 8mm"
#  Media Type = "8mm"
#  Archive Device = /dev/nst0
#  Hardware end of medium = No;
#  AutomaticMount = yes;               # when device opened, read it
#  AlwaysOpen = Yes;
#  RemovableMedia = yes;
#  RandomAccess = no;
#}

Device {
  Name = Exabyte-Drive                      # 
  Media Type = AIT
  Archive Device = /dev/nst2
  AutomaticMount = yes;               # when device opened, read it
  LabelMedia = yes;                   # lets Bacula label unlabeled media
  AlwaysOpen = yes;
  RemovableMedia = yes;
  RandomAccess = no;
 Changer Command = "/root/bacula/bin/mtx-changer %c %o %S %a %d"
 Changer Device = /dev/sg0
 AutoChanger = yes
 Alert Command = "sh -c '/usr/local/bin/tapeinfo -f %c | grep TapeAlert | cat'"
}
 
Device { 
  Name = DDS-3-Drive0                       #
  Media Type = DDS-3
  Archive Device = /dev/nst0
  AutomaticMount = yes;               # when device opened, read it
  LabelMedia = yes;                   # lets Bacula label unlabeled media
  AlwaysOpen = yes;
  RemovableMedia = yes;
  RandomAccess = no;
 Changer Command = "/root/bacula/bin/mtx-changer %c %o %S %a %d"
 Changer Device = /dev/sg2
 AutoChanger = yes
 Alert Command = "sh -c '/usr/local/bin/tapeinfo -f %c | grep TapeAlert | cat'"
}
 
Device {
  Name = DDS-3-Drive1                       #
  Media Type = DDS-3
  Archive Device = /dev/nst1
  AutomaticMount = yes;               # when device opened, read it
  LabelMedia = yes;                   # lets Bacula label unlabeled media
  AlwaysOpen = yes;
  RemovableMedia = yes;
  RandomAccess = no;
 Changer Command = "/root/bacula/bin/mtx-changer %c %o %S %a %d"
 Changer Device = /dev/sg4
 AutoChanger = yes
 Alert Command = "sh -c '/usr/local/bin/tapeinfo -f %c | grep TapeAlert | cat'"
}
 
# 
# Send all messages to the Director, 
# mount messages also are sent to the email address
#
Messages {
  Name = Standard
  director = eagle-dir = all
}
